summaryrefslogtreecommitdiffstats
path: root/development/Arduino/Arduino.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/Arduino/Arduino.SlackBuild')
-rw-r--r--development/Arduino/Arduino.SlackBuild84
1 files changed, 59 insertions, 25 deletions
diff --git a/development/Arduino/Arduino.SlackBuild b/development/Arduino/Arduino.SlackBuild
index 5cded705b1..c7d5cb3765 100644
--- a/development/Arduino/Arduino.SlackBuild
+++ b/development/Arduino/Arduino.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Arduino
-# Copyright 2015 Mario Preksavec, Zagreb, Croatia
+# Copyright 2015, 2016 Mario Preksavec, Zagreb, Croatia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,16 +23,26 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=Arduino
-VERSION=${VERSION:-1.6.5}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.6.9}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-REFERENCE=${REFERENCE:-1.6.0}
+REFERENCE=${REFERENCE:-1.6.6-3}
GALILEO=${GALILEO:-1.6.2}
EDISON=${EDISON:-1.6.2}
-FIRMATA=${FIRMATA:-2.4.3}
-TEMBOO=${TEMBOO:-1.1.2}
-LIBASTYLEJ=${LIBASTYLEJ:-2.05}
+FIRMATA=${FIRMATA:-2.5.2}
+BRIDGE=${BRIDGE:-1.6.2}
+ROBOT_CONTROL=${ROBOT_CONTROL:-1.0.2}
+ROBOT_MOTOR=${ROBOT_MOTOR:-1.0.2}
+ROBOTIRREMOTE=${ROBOTIRREMOTE:-1.0.2}
+SPACEBREWYUN=${SPACEBREWYUN:-1.0.0}
+TEMBOO=${TEMBOO:-1.1.5}
+ESPLORA=${ESPLORA:-1.0.4}
+MOUSE=${MOUSE:-1.0.1}
+KEYBOARD=${KEYBOARD:-1.0.1}
+LIBASTYLEJ=${LIBASTYLEJ:-2.05.1-3}
+LIBLISTSERIALS=${LIBLISTSERIALS:-1.1.0}
+ARDUINOBUILDER=${ARDUINOBUILDER:-1.3.18}
AVRLIBC=${AVRLIBC:-1.8.0}
AVRHEADERS=${AVRHEADERS:-6.2.0.469}
@@ -61,13 +71,22 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ LIB="32"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIB="64"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -108,25 +127,33 @@ echo -e "arduino.avrdude=$AVRDUDE-arduino5\narduino.avr-gcc=$GCC-arduino5" \
# Use already present toolchain and library bundles
sed -e '/<antcall target="avr-toolchain-bundle">/,/<\/antcall>/d' \
- -e '/<antcall target="package-library-index-json-bundle"\/>/d' \
+ -e '/<delete file=".*_index.json.gz"\/>/d' \
+ -e 's/skipexisting="false"/skipexisting="true"/' \
-i build/build.xml
-# Copy documentation, help and libraries
+# Copy documentation and help
cp $CWD/reference-$REFERENCE.zip \
$CWD/Galileo_help_files-$GALILEO.zip \
- $CWD/Edison_help_files-$EDISON.zip \
- build/shared/
-cp $CWD/v$FIRMATA.zip build/Firmata-$FIRMATA.zip \
-|| cp $CWD/Firmata-$FIRMATA.zip build/
-cp $CWD/$TEMBOO.zip build/Temboo-$TEMBOO.zip \
-|| cp $CWD/Temboo-$TEMBOO.zip build/
-cp $CWD/libastylej-$LIBASTYLEJ.zip build/
-
-# Unpack library bundles
+ $CWD/Edison_help_files-$EDISON.zip build/shared/
+
+# Copy libraries
+cp $CWD/Firmata-$FIRMATA.zip \
+ $CWD/Bridge-$BRIDGE.zip \
+ $CWD/Robot_Control-$ROBOT_CONTROL.zip \
+ $CWD/Robot_Motor-$ROBOT_MOTOR.zip \
+ $CWD/RobotIRremote-$ROBOTIRREMOTE.zip \
+ $CWD/SpacebrewYun-$SPACEBREWYUN.zip \
+ $CWD/Temboo-$TEMBOO.zip \
+ $CWD/Esplora-$ESPLORA.zip \
+ $CWD/Mouse-$MOUSE.zip \
+ $CWD/Keyboard-$KEYBOARD.zip \
+ $CWD/libastylej-$LIBASTYLEJ.zip \
+ $CWD/liblistSerials-$LIBLISTSERIALS.zip \
+ $CWD/arduino-builder-linux$LIB-$ARDUINOBUILDER.tar.bz2 build/
+
+# Copy library bundles
mkdir -p build/linux/work/dist/
-cp $CWD/package_index.json.sig build/linux/work/dist/
-gunzip -c $CWD/package_index.json.gz > build/linux/work/dist/package_index.json
-gunzip -c $CWD/library_index.json.gz > build/linux/work/dist/library_index.json
+cp $CWD/{library,package}_index.json.* build/linux/work/dist/
# Finally, build Arduino
( cd build ; ant )
@@ -135,18 +162,25 @@ gunzip -c $CWD/library_index.json.gz > build/linux/work/dist/library_index.json
cd build/linux/work/
# Clean up
-rm -rf hardware/tmp/
+rm dist/{library,package}_index.json.gz
# Manual install ensues
mkdir -p $PKG/opt/$PRGNAM
-mv arduino dist examples hardware lib libraries reference tools $PKG/opt/$PRGNAM
+mv arduino{,-builder} dist examples hardware lib libraries reference \
+ tools{,-builder} $PKG/opt/$PRGNAM
+
+# Ownership fixup
+chown -R root:root $PKG/opt/Arduino/tools-builder
# Make it a bit more user friendly
mkdir -p $PKG/usr/{bin,share/applications}
-sed "s/FULL_PATH/\/opt\/$PRGNAM/" arduino.desktop \
+sed "s/FULL_PATH/\/opt\/$PRGNAM/" $CWD/arduino.desktop \
> $PKG/usr/share/applications/$PRGNAM.desktop
ln -s /opt/$PRGNAM/arduino $PKG/usr/bin/$PRGNAM
+# Fix perms
+chmod 755 $PKG/opt/$PRGNAM/reference/*
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a revisions.txt $TMP/$PRGNAM-$VERSION/{README.md,license.txt} \
$PKG/usr/doc/$PRGNAM-$VERSION